sfcode An Online Competing and Development Environment

is-svg

> Check if a string or buffer is SVG

# Install

$ npm install is-svg

# Usage

const isSvg = require('is-svg');
isSvg('<svg xmlns="http://www.w3.org/2000/svg"><path fill="#00CD9F"/></svg>');
//=> true

# Edge cases

This module performs a quick-and-dirty check. It's fast, but in certain cases it will give incorrect results.

- Returns `true` for an SVG-like string that isn't well-formed or valid: `<svg><div></svg>`

If you want to make certain that your SVG is valid, try parsing it with libxmljs.

# License

MIT © Sindre Sorhus